.TH "orte_gpr_subscription_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_gpr_subscription_t \- Structure for registering subscriptions A request to be notified when certain events occur, or when counters reach specified values, is registered on the registry via a subscription request.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <gpr_types.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIMakes this an object. \fP"
.ti -1c
.RI "char * \fBname\fP"
.br
.RI "\fIA unique name for this subscription - can be NULL. \fP"
.ti -1c
.RI "orte_gpr_subscription_id_t \fBid\fP"
.br
.RI "\fIid number of this subscription, as assigned by system \fP"
.ti -1c
.RI "orte_gpr_notify_action_t \fBaction\fP"
.br
.RI "\fIwhat causes subscription to fire \fP"
.ti -1c
.RI "size_t \fBcnt\fP"
.br
.RI "\fINumber of values included. \fP"
.ti -1c
.RI "\fBorte_gpr_value_t\fP ** \fBvalues\fP"
.br
.RI "\fIContiguous array of pointers to value objects describing the data to be returned. \fP"
.ti -1c
.RI "\fBorte_gpr_notify_cb_fn_t\fP \fBcbfunc\fP"
.br
.RI "\fIthe callback function \fP"
.ti -1c
.RI "void * \fBuser_tag\fP"
.br
.RI "\fIUser-provided tag to be used in cbfunc. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure for registering subscriptions A request to be notified when certain events occur, or when counters reach specified values, is registered on the registry via a subscription request. 

This structure is provided to concisely provide the required information. The information in this structure describes the data that is to be sent when the subscription 'fires'. It includes the segment upon which the data resides, the tokens that describe the containers, and the keys that describe the keyvals to be returned. These are combined via the addr_mode to locate and return the data. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
